
QGIS Application - Bug report #19796

[osgeo4w] Package: Unknown package opencl.bat exit code 1

2018-09-07 04:50 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 27621

Description

Each time I update the nightlies, at the end of the process I get the following message

Package: Unknown package

opencl.bat exit code 1

The first time I updated after opencl insertion, the message was different (do not remember but looked like it found and installed

something). Then the next updates always trigger the message above. I tried to unistall it but I got

opencl    (2.0.10-3)

KhronosGroup OpenCL runtime

Required by: qgis-dev

History

#1 - 2018-09-07 09:03 PM - Jürgen Fischer

Anything in setup.log(.full)?   32 or 64bit?

#2 - 2018-09-07 10:44 PM - Harrissou Santanna

Jürgen Fischer wrote:

Anything in setup.log(.full)?

It means? How do I get the info?

32 or 64bit?

64bit

#3 - 2018-09-08 11:24 AM - Jürgen Fischer

- Status changed from Open to Feedback
Harrissou Santanna wrote:

Jürgen Fischer wrote:

Anything in setup.log(.full)?

It means? How do I get the info?

%OSGEO4W_ROOT%\var\log

#4 - 2018-09-10 11:27 AM - Harrissou Santanna

- Status changed from Feedback to Open

- File setup.log.full added

Here's the setup.log.full from this morning. Thanks.

#5 - 2018-09-11 01:50 PM - Jürgen Fischer

- Resolution set to up/downstream

- Status changed from Open to Closed

msvcrt-1.0.3-1 should shed more light on why the opencl.dll update is failing for you.

#6 - 2018-09-11 02:59 PM - Harrissou Santanna

Updated to the latest osgeo4w, including the new version of msvcrt (btw, no QGIS from yesterday) but still get the message at the end of the process.

Relaunching the process afterwards makes no difference. Did I miss something? Should I do anything more?

#7 - 2018-09-11 03:10 PM - Jürgen Fischer

Harrissou Santanna wrote:

Updated to the latest osgeo4w, including the new version of msvcrt (btw, no QGIS from yesterday) but still get the message at the end of the

process. Relaunching the process afterwards makes no difference. Did I miss something? Should I do anything more?

Nothing unexpected.  The issue is still there, but the log should have more information now (I'm afraid in french ;))

BTW this is a osgeo4w issue.

#8 - 2018-09-11 03:13 PM - Jürgen Fischer

Jürgen Fischer wrote:

Harrissou Santanna wrote:
btw, no QGIS from yesterday_

finished just now.

#9 - 2018-09-11 03:16 PM - Harrissou Santanna

- File setup.log.full added

I'm afraid in french ;)

Nothing unguessable. I attached the log file.

#10 - 2018-09-11 04:03 PM - Jürgen Fischer

Harrissou Santanna wrote:

I'm afraid in french ;)

Nothing unguessable. I attached the log file.

Are you using OSGeo4W's setup (%OSGEO4W_ROOT%\bin\setup.bat) or one downloaded long ago?  The "current" one should require admin

privileges, which your's apparently lacks.

#11 - 2018-09-11 04:53 PM - Harrissou Santanna

Are you using OSGeo4W's setup (OSGEO4W_ROOT\bin\setup.bat) or one downloaded long ago? The "current" one should require admin

privileges, which your's apparently lacks.

Never ran a setup.bat ;). I have an osgeo4w-setup-x86_64.exe file downloaded in 2013 (is that long enough?) that I run each time I need an update. I

might have overlooked but never saw a doc for noobs about osgeo4w usage so continued to use the exe file that worked.

I just run the setup.bat (with the new logo and more repositories) and I got no opencl error. Thanks Jürgen.

Files

setup.log.full 1.8 MB 2018-09-10 Harrissou Santanna

setup.log.full 4.66 KB 2018-09-11 Harrissou Santanna
